- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | List of all members
pdftron::PDF::JobRequest Class Reference

`#include <JobRequest.h>`

## Public Types
enum | ResultState { e_failure, e_success, e_security_error, e_cancel, e_package_error, e_previous_crash, e_not_found, e_fetch, e_render, e_postponed }
typedef void(* | ProcHandler )(ResultState state, const char *utf8_filepath, void *custom_data)

## Detailed Description

Definition at line 12 of file JobRequest.h.

## Member Typedef Documentation

typedef void(* pdftron::PDF::JobRequest::ProcHandler)(ResultState state, const char *utf8_filepath, void *custom_data)

Callback for JobRequest

Parameters

  state | Contains the information about the result state of requesting a job
  utf8_filepath | An UTF-8, null terminated C-String containing the file path of the requested job. In case of failure utf8_filepath is empty.
  custom_data | Custom data specified by the user.

Definition at line 39 of file JobRequest.h.

## Member Enumeration Documentation

enum pdftron::PDF::JobRequest::ResultState

Enumerator
e_failure | The request could not be retrieved.
e_success | Successful retrieval of the request.
e_security_error | Failure due to password restriction.
e_cancel | The request was cancelled before it was processed.
e_package_error | Failure due to encountering a PDF package.
e_previous_crash | Abort this render because we've crashed on this file previously.
e_not_found | GetBitmap was called with a uuid, but could not find the bitmap. GetBitmap should be called again with the document corresponding to that id.
e_fetch | The following cases are just used for debugging and are not exposed.
e_render |
e_postponed | Change to e_success for final release.

Definition at line 19 of file JobRequest.h.

The documentation for this class was generated from the following file:

- PDF/JobRequest.h